document.addEventListener('DOMContentLoaded', () => {
    const searchButton = document.getElementById('searchButton');
    const carContainer = document.querySelector('.car-container');
    const carTemplate = document.getElementById('carTemplate');

    const cars = [
        {
            name: 'Tesla Model 3',
            price: '$99',
            location: 'New York',
            image: 'data:image/svg+xml,<svg width="300" height="200" xmlns="http://www.w3.org/2000/svg"><rect width="100%" height="100%" fill="%23ddd"/><text x="50%" y="50%" fill="%23555" text-anchor="middle">Tesla Model 3</text></svg>'
        },
        {
            name: 'BMW 3 Series',
            price: '$89',
            location: 'Los Angeles',
            image: 'data:image/svg+xml,<svg width="300" height="200" xmlns="http://www.w3.org/2000/svg"><rect width="100%" height="100%" fill="%23ddd"/><text x="50%" y="50%" fill="%23555" text-anchor="middle">BMW 3 Series</text></svg>'
        },
        {
            name: 'Mercedes C-Class',
            price: '$95',
            location: 'Chicago',
            image: 'data:image/svg+xml,<svg width="300" height="200" xmlns="http://www.w3.org/2000/svg"><rect width="100%" height="100%" fill="%23ddd"/><text x="50%" y="50%" fill="%23555" text-anchor="middle">Mercedes C-Class</text></svg>'
        }
    ];

    function displayCars(carsToShow = cars) {
        carContainer.innerHTML = '';
        carsToShow.forEach(car => {
            const carCard = carTemplate.content.cloneNode(true);
            carCard.querySelector('.car-image').src = car.image;
            carCard.querySelector('h3').textContent = car.name;
            carCard.querySelector('p').textContent = `${car.price}/day`;
            carCard.querySelector('p:last-of-type').textContent = car.location;
            
            const bookButton = carCard.querySelector('.booking-btn');
            bookButton.addEventListener('click', () => initiateBooking(car));
            
            carContainer.appendChild(carCard);
        });
    }

    function initiateBooking(car) {
        alert(`Booking initiated for ${car.name} in ${car.location}`);
    }

    searchButton.addEventListener('click', () => {
        const location = document.getElementById('locationSelect').value;
        const searchTerm = document.getElementById('searchInput').value.toLowerCase();
        
        const filteredCars = cars.filter(car => {
            const matchesLocation = !location || car.location.toLowerCase().includes(location.toLowerCase());
            const matchesSearch = !searchTerm || 
                car.name.toLowerCase().includes(searchTerm) ||
                car.location.toLowerCase().includes(searchTerm);
            return matchesLocation && matchesSearch;
        });
        
        displayCars(filteredCars);
    });

    displayCars();
});